# eliminate potential privacy breaches:
# - remove an iframe from the setup wizard, link instead
# - only run ip address discovery functions when debugging
# - only run certificate validation check when debugging
# - remove text-ad iframe from config->server
--- a/sabnzbd/getipaddress.py
+++ b/sabnzbd/getipaddress.py
@@ -80,6 +80,9 @@
 
 def dnslookup():
     """Perform a basic DNS lookup"""
+    if sabnzbd.cfg.log_level() < 2:
+        return None
+
     start = time.time()
     try:
         addresslookup(sabnzbd.cfg.selftest_host())
@@ -107,6 +110,9 @@
     """
     Reports the client's public IP address (IPv4 or IPv6, if specified by family), as reported by selftest host
     """
+    if sabnzbd.cfg.log_level() < 2:
+        return None
+
     start = time.time()
     if resolvehostaddress := happyeyeballs(sabnzbd.cfg.selftest_host(), port=443, family=family):
         resolvehostip = resolvehostaddress.ipaddress
--- a/interfaces/wizard/one.html
+++ b/interfaces/wizard/one.html
@@ -89,7 +89,11 @@
                     </div>
                     <div class="col-md-5">
                         <div class="clearfix"></div>
-                        <iframe style="float: right; width: 325px; height: 325px;" frameborder="0" src="https://sabnzbd.org/wizard#$active_lang"></iframe>
+                        <div style="float: right; width: 300px; padding: 5px; border: 1px dotted #000; background-color: #F5F5F5; font-size: 14px; font-family: sans-serif;">
+                            <b>Help</b>
+                            <br/>In order to download from Usenet you will require access to a provider. Your ISP may provide you with access, however a premium provider is recommended.<br/>
+                            <br/>Don't have a Usenet provider? A recommendation (and affiliate link) from the developers of SABnzbd may be found at <a href="https://sabnzbd.org/wizard#$active_lang" target="_blank">sabnzbd.org</a>.<br/>
+                        </div>
                     </div>
                 </div>
                 <input type="hidden" name="apikey" value="$apikey" />
--- a/interfaces/Config/templates/config_server.tmpl
+++ b/interfaces/Config/templates/config_server.tmpl
@@ -15,11 +15,6 @@
     var hostnames = ""
 </script>
 
-<div class="server-frame">
-    <a href="#">&times;</a>
-    <iframe></iframe>
-</div>
-
 <div class="colmask">
     <div class="padding alt section">
         <button type="button" class="btn btn-default" id="addServerButton"><span class="glyphicon glyphicon-plus"></span> $T('button-addServer')</button>
@@ -597,34 +592,6 @@
             });
         });
 
-        // Show text-ad if there is space
-        if((jQuery("body").width() - jQuery("#content").width())/2 > (jQuery('.Servers .server-frame').width() + 40)) {
-            // Do not show if dismissed previously
-            if(localStorage.getItem("server-frame-hide-$version") === null) {
-                // Let the page on the server tell us if we need to show
-                function receiveMessage(event) {
-                    // Check origin of message for security reasons
-                    if(event.origin === 'https://sabnzbd.org') {
-                        if(event.data === 'show_server') {
-                            jQuery('.Servers .server-frame').show()
-                            jQuery('.Servers .server-frame a').click(function () {
-                                localStorage.setItem("server-frame-hide-$version", "hide")
-                                jQuery('.Servers .server-frame').hide()
-                            })
-                        }
-                        if(event.data === 'hide_server') {
-                            // Hide and don't load anymore untill the next release
-                            jQuery('.Servers .server-frame').hide()
-                            localStorage.setItem("server-frame-hide-$version", "hide")
-                        }
-                    }
-                }
-                window.addEventListener("message", receiveMessage, false);
-
-                // NOTE: The hash-part cannot be seen by the server, so we don't know which hostnames you use!
-                jQuery('.Servers .server-frame iframe').attr("src", "https://sabnzbd.org/servers#$active_lang" + hostnames)
-            }
-        }
     });
 </script>
 
--- a/interfaces/Glitter/templates/include_overlays.tmpl
+++ b/interfaces/Glitter/templates/include_overlays.tmpl
@@ -97,7 +97,7 @@
                         </div>
                         <div class="row">
                             <div class="col-sm-6">$T('dashboard-publicIP4') &nbsp; </div>
-                            <div class="col-sm-6" data-bind="visible: hasStatusInfo, text: !statusInfo.publicipv4() ? '$T('dashboard-connectionError')' : statusInfo.publicipv4(), css: { 'options-bad-status ' : !statusInfo.publicipv4() }"></div>
+                            <div class="col-sm-6" data-bind="visible: hasStatusInfo, text: (loglevel >= 2 && !statusInfo.publicipv4()) ? '$T('dashboard-connectionError')' : statusInfo.publicipv4(), css: { 'options-bad-status ' : (loglevel >= 2 && !statusInfo.publicipv4()) }"></div>
                             <div class="col-sm-6 col-loading" data-bind="visible: !hasStatusInfo()">$T('Glitter-loading')<span class="loader-dot-one">.</span><span class="loader-dot-two">.</span><span class="loader-dot-three">.</span></div>
                         </div>
                         <div class="row">
@@ -107,7 +107,7 @@
                         </div>
                         <div class="row">
                             <div class="col-sm-6">$T('dashboard-NameserverDNS') &nbsp; </div>
-                            <div class="col-sm-6" data-bind="visible: hasStatusInfo, text: !statusInfo.dnslookup() ? '$T('dashboard-connectionError')' : 'OK', css: { 'options-bad-status' : !statusInfo.dnslookup() }"></div>
+                            <div class="col-sm-6" data-bind="visible: hasStatusInfo, text: (loglevel >= 2 && !statusInfo.dnslookup()) ? '$T('dashboard-connectionError')' : 'OK', css: { 'options-bad-status' : (loglevel >= 2 && !statusInfo.dnslookup()) }"></div>
                             <div class="col-sm-6 col-loading" data-bind="visible: !hasStatusInfo()">$T('Glitter-loading')<span class="loader-dot-one">.</span><span class="loader-dot-two">.</span><span class="loader-dot-three">.</span></div>
                         </div>
                         <hr/>
